import React from 'react';
import { TreatmentWithConfig } from '@splitsoftware/splitio/types/splitio';
import { ISplitContextValues, ISplitProviderProps } from './types';
export declare const defaultTreatment: TreatmentWithConfig;
/**
 * Creating a React.Context with default values.
 */
export declare const SplitContext: React.Context<ISplitContextValues>;
/**
 * SplitProvider will initialize client and listen for events that will set things up.
 * Make sure SplitProvider is wrapper your entire app.
 * @see {@link https://help.split.io/hc/en-us/articles/360020448791-JavaScript-SDK}
 * @param {ISplitProviderProps} props
 * @returns {React.Component}
 *
 * @example
 *
 *  <SplitProvider config={SDK_CONFIG_OBJECT}>
 *    <App />
 *  </SplitProvider>
 */
declare const SplitProvider: ({ config, children, onImpression, }: ISplitProviderProps) => JSX.Element;
export default SplitProvider;
